<html>
<head>
<title>Ogre::CompositorManager::TextureDef Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorManager.html">CompositorManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html">TextureDef</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorManager::TextureDef Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorManager::TextureDef" -->
<p><a href="structOgre_1_1CompositorManager_1_1TextureDef-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a81aad978061ded4c38196d8f5c9ae061">TextureDef</a> (size_t w, size_t h, <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> f, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> aa, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;aaHint, bool srgb)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a3eaf7292bb08ab679ad8d87b18e405b4">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#adbcf550852efc25f52afe62e60eba5bb">height</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#ae0a7035f54b5dee24d07ffbdc21bc741">format</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a29bbfa8ee69e812c8bb883d09d402557">fsaa</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a007ab7ef6c8fa3822578b64d91b1ed71">fsaaHint</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#ab55e3d6e4b0e85210020ff5cdee2851b">sRGBwrite</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00221">221</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a81aad978061ded4c38196d8f5c9ae061"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::TextureDef" ref="a81aad978061ded4c38196d8f5c9ae061" args="(size_t w, size_t h, PixelFormat f, uint aa, const String &amp;aaHint, bool srgb)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a81aad978061ded4c38196d8f5c9ae061">Ogre::CompositorManager::TextureDef::TextureDef</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>h</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>aa</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>aaHint</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>srgb</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00229">229</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae0a7035f54b5dee24d07ffbdc21bc741"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::format" ref="ae0a7035f54b5dee24d07ffbdc21bc741" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#ae0a7035f54b5dee24d07ffbdc21bc741">Ogre::CompositorManager::TextureDef::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00224">224</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositorManager_8h_source.html#l00237">Ogre::CompositorManager::TextureDefLess::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="a29bbfa8ee69e812c8bb883d09d402557"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::fsaa" ref="a29bbfa8ee69e812c8bb883d09d402557" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a29bbfa8ee69e812c8bb883d09d402557">Ogre::CompositorManager::TextureDef::fsaa</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00225">225</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositorManager_8h_source.html#l00237">Ogre::CompositorManager::TextureDefLess::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="a007ab7ef6c8fa3822578b64d91b1ed71"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::fsaaHint" ref="a007ab7ef6c8fa3822578b64d91b1ed71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a007ab7ef6c8fa3822578b64d91b1ed71">Ogre::CompositorManager::TextureDef::fsaaHint</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00226">226</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositorManager_8h_source.html#l00237">Ogre::CompositorManager::TextureDefLess::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="adbcf550852efc25f52afe62e60eba5bb"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::height" ref="adbcf550852efc25f52afe62e60eba5bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#adbcf550852efc25f52afe62e60eba5bb">Ogre::CompositorManager::TextureDef::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00223">223</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositorManager_8h_source.html#l00237">Ogre::CompositorManager::TextureDefLess::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="ab55e3d6e4b0e85210020ff5cdee2851b"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::sRGBwrite" ref="ab55e3d6e4b0e85210020ff5cdee2851b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#ab55e3d6e4b0e85210020ff5cdee2851b">Ogre::CompositorManager::TextureDef::sRGBwrite</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00227">227</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositorManager_8h_source.html#l00237">Ogre::CompositorManager::TextureDefLess::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="a3eaf7292bb08ab679ad8d87b18e405b4"></a><!-- doxytag: member="Ogre::CompositorManager::TextureDef::width" ref="a3eaf7292bb08ab679ad8d87b18e405b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1CompositorManager_1_1TextureDef.html#a3eaf7292bb08ab679ad8d87b18e405b4">Ogre::CompositorManager::TextureDef::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositorManager_8h_source.html#l00223">223</a> of file <a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCompositorManager_8h_source.html#l00237">Ogre::CompositorManager::TextureDefLess::operator()()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorManager_8h_source.html">OgreCompositorManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
